package com.casic.detector.utils

import android.Manifest


object LocaleConstant {
    val USER_PERMISSIONS = arrayOf(
        Manifest.permission.READ_PHONE_STATE,
        Manifest.permission.ACCESS_COARSE_LOCATION,
        Manifest.permission.ACCESS_FINE_LOCATION,
        Manifest.permission.CAMERA,
        Manifest.permission.WRITE_EXTERNAL_STORAGE
    )

    const val PERMISSIONS_CODE = 999
    const val RADIUS_SIZE = 100 //相距多少米才聚合，单位：米
    const val INSTALL_MARKER_CODE = 2024010701
    const val SEARCH_MARKER_CODE = 2024010702

    const val AUTO_SAVE = "AUTO_SAVE"
    const val USER_ACCOUNT = "USER_ACCOUNT"
    const val USER_PASSWORD = "USER_PASSWORD"
    const val USER_NAME = "USER_NAME"
    const val USER_ID = "USER_ID"
    const val USER_COMPANY_ID = "USER_COMPANY_ID"
    const val OBJECT_ID = "OBJECT_ID"
    const val TASK_ID = "TASK_ID"
    const val SERVER_IP = "SERVER_IP"
    const val SERVER_PORT = "SERVER_PORT"
    const val APP_AUTHORITY = "com.casic.detector.fileprovider"

    val POPUP_TITLES = arrayOf("更新数据", "下载工单", "关于软件", "事件上报", "标识器补全")
    var POINT_TYPE_ARRAY = arrayOf("管线", "管线附属物", "管线特征管点", "交叉穿越点")
    var SPINNER_ARRAY = arrayOf(
        "标识器ID",
        "所属区域",
        "所属线路",
        "所属道路",
        "权属单位",
        "安装部门",
        "安装时间",
        "备注"
    )
    var PIPE_MATERIAL_ARRAY = arrayOf("铸铁", "塑料")
    var DOWN_PIPE_TYPE_ARRAY = arrayOf("热力", "燃气", "供水", "电力", "通信")
    var BURY_METHOD_ARRAY = arrayOf("直埋", "圆管", "管块", "管沟", "架空")
    var IDENTIFIER_TYPE_ARRAY = arrayOf("EM30", "EM50", "EM14")
    var COLOR_ARRAY = arrayOf("蓝色", "橙色", "红色", "黑色", "紫色", "黄色", "绿色")
}